package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcAqg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcSslxMapper;
import com.ruoyi.tcZz.domain.TcSslx;
import com.ruoyi.tcZz.service.ITcSslxService;

/**
 * 涉事类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Service
public class TcSslxServiceImpl implements ITcSslxService 
{
    @Autowired
    private TcSslxMapper tcSslxMapper;

    /**
     * 查询涉事类型
     * 
     * @param id 涉事类型主键
     * @return 涉事类型
     */
    @Override
    public TcSslx selectTcSslxById(Long id)
    {
        return tcSslxMapper.selectTcSslxById(id);
    }

    /**
     * 查询涉事类型列表
     * 
     * @param tcSslx 涉事类型
     * @return 涉事类型
     */
    @Override
    public List<TcSslx> selectTcSslxList(TcSslx tcSslx)
    {
        return tcSslxMapper.selectTcSslxList(tcSslx);
    }

    /**
     * 新增涉事类型
     * 
     * @param tcSslx 涉事类型
     * @return 结果
     */
    @Override
    public int insertTcSslx(TcSslx tcSslx)
    {
        tcSslx.setCreateTime(DateUtils.getNowDate());
        return tcSslxMapper.insertTcSslx(tcSslx);
    }

    /**
     * 修改涉事类型
     * 
     * @param tcSslx 涉事类型
     * @return 结果
     */
    @Override
    public int updateTcSslx(TcSslx tcSslx)
    {
        tcSslx.setUpdateTime(DateUtils.getNowDate());
        return tcSslxMapper.updateTcSslx(tcSslx);
    }

    /**
     * 批量删除涉事类型
     * 
     * @param ids 需要删除的涉事类型主键
     * @return 结果
     */
    @Override
    public int deleteTcSslxByIds(Long[] ids)
    {
        return tcSslxMapper.deleteTcSslxByIds(ids);
    }

    /**
     * 删除涉事类型信息
     * 
     * @param id 涉事类型主键
     * @return 结果
     */
    @Override
    public int deleteTcSslxById(Long id)
    {
        return tcSslxMapper.deleteTcSslxById(id);
    }

    @Override
    public String importUser(List<TcSslx> tcSslxList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcSslxList.isEmpty()) {
            for (TcSslx tcSslx : tcSslxList) {
                tcSslxMapper.insertTcSslx(tcSslx);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();

    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcSslxMapper.updateByisStatus(isStatus,ids);
    }
}
